Join the AMA (Ask Me Anything) with Firefox leadership team to talk about Firefox priorities in 2024. Mark your calendar! Thursday, June 13, 17:00 - 19:00 UTC.

Pesquisar no apoio

Evite burlas no apoio. Nunca iremos solicitar que telefone ou envie uma mensagem de texto para um número de telefone ou que partilhe informações pessoais. Por favor, reporte atividades suspeitas utilizando a opção "Reportar abuso".

Learn More

Mozilla Firefox

  • 1 resposta
  • 0 têm este problema
  • 35 visualizações
  • Última resposta por James

more options

Apparantly I need to download the latest version of Mozilla Firefox to enable my browser to work properly Please help

Apparantly I need to download the latest version of Mozilla Firefox to enable my browser to work properly Please help

Todas as respostas (1)

more options

jandsfowler said

Apparantly I need to download the latest version of Mozilla Firefox to enable my browser to work properly Please help

It appears you are using Windows Vista?

Of so then the most current version of Firefox you can run on Vista (and WinXP) was the old EOL Firefox 52.9.0 esr you appear to be using.

The Firefox versions since 530.0 and later has required Windows 7 at minimum to run. Either you can update Windows to 7 or later (windows 10 would be best option) or you could try dual booting with a light Linux distro to use the current versions of Firefox.

If you do try Linux, I suggest to use a lighter desktop like Xfce and not the heavier KDE or Gnome and make sure packages like FFmpeg is installed.

from https://www.mozilla.org/firefox/53.0/system-requirements/

Windows Operating Systems (32-bit and 64-bit) Windows 7 Windows 8 Windows 10

Modificado por James a